import { _decorator, Component, Node } from "cc";
import BaseUI from "../../scripts/base/BaseUI";
import { Hall } from "../hall/Hall";
const { ccclass, property } = _decorator;

export class HelpData {
  title: string;
  content: string;
}

 

@ccclass("HelpLayer")
export class HelpLayer extends BaseUI {
  public static async show(data: HelpData) {
    let layer = await Hall.ins.showLayer("prefab/layer/HelpLayer");
    layer.getComponent(HelpLayer).init(data);
  }

  init(data: HelpData) {}
}
